<?php

namespace App\Policies;

use App\Models\Contact\Template;
use App\Models\User\User;

class TemplatePolicy {

    public function viewAny(User $user): bool {
        return $user->can('templates.view');
    }

    public function create(User $user): bool {
        return $user->can('templates.create');
    }

    public function edit(User $user, Template $template): bool {
        return $user->can('templates.edit');
    }

    public function delete(User $user, Template $template): bool {
        return $user->can('templates.delete');
    }
}
